Bug 51381 - Accessibility:MAS05:KB:Keyboard focus is not logical in order for "iOS setting" present in the "option" pop up window.
Summary: Accessibility:MAS05:KB:Keyboard focus is not logical in order for "iOS sett...
Status: CONFIRMED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Accessibility (show other bugs)
Version: 4.3.0 (C9)
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Adrian Murphy
URL:
Depends on:
Blocks:
 
Reported: 2017-01-11 10:24 UTC by v-sukals@microsoft.com
Modified: 2017-10-13 03:16 UTC (History)
4 users (show)

See Also:
Tags: a11ymas,wipro
Is this bug a regression?: ---
Last known good build:


Attachments
KB_visualstudio_xamarin_iossetting (284.88 KB, image/jpeg)
2017-01-11 10:24 UTC, v-sukals@microsoft.com
Details
Issue is not fixed-Keyboard focus order is inappropriate (99.83 KB, image/png)
2017-10-07 14:29 UTC, v-sukals@microsoft.com
Details

Description v-sukals@microsoft.com 2017-01-11 10:24:04 UTC
Created attachment 19199 [details]
KB_visualstudio_xamarin_iossetting

Pre-Requisite:-
1.Launch Visual Studio RC 2017
2.Open File+New Project+Select "Cross platform" from the Left Pane
3.Select "Cross Platform App"
4.Press Ok button

Steps:-
1.Run Pre-requisite
2."New Cross Platform App Window" opens
3.Tab to "Blank App" and press Enter key
4.Press ALT to invoke File Menu using tab navigate to "Tools" and press Enter Key
5.Select Options. Options window opens
6.Using down arrow key navigate to "Xamarin" and Expand
7.Using "Down-arrow" key select "iOS Settings".
8.Using "Tab" key navigate to different options present for "iOS setting" in the "option" pop up window.

Expected Result:-
Keyboard focus should be logical in order for the "iOS setting" present  in the option popup window.

Actual Result:-
Keyboard focus is not logical in order while navigating through different option in the "iOS setting".

Note:-The focus first moving to the "Apple SDK", edit box then "Find Xamarin Mac Agent"

Platform/browser:-
OS: Windows RS1
Visual Studio Version: Visual Studio Enterprise 2017RC(15.0.25928.0)
Xamarin Version: 4.3.0.241
Comment 1 Nick Sadovyi 2017-09-05 06:40:42 UTC
Fixed (master)

Author: Nick
Commit: 5b88b023074b1ee7be1f8771df558e4e6c1ab2bc(xamarin/XamarinVS)
Comment 2 v-sukals@microsoft.com 2017-09-13 09:36:59 UTC
Xamarin version (master) is not available to verify the issue.
Comment 3 v-sukals@microsoft.com 2017-10-07 14:29:59 UTC
Created attachment 25205 [details]
Issue is not fixed-Keyboard focus order is inappropriate
Comment 4 v-sukals@microsoft.com 2017-10-07 14:33:58 UTC
Verified the issue and the issue is not fixed, hence reactivating the bug.
Observation:
1. When navigated from IOS settings with tab key, keyboard focus is moving to "Keey API documentation on sync" check box.

When navigated from IOS settings with tab key, keyboard focus should move to "Find Xamarin MAC Agent" button.

Verified Windows Version:
Windows 10 Pro
OS Version 1703 (OS Build 15063.608)

Verified Visual Studio Build:
Visual Studio Enterprise 2017 d15rel
Version 15.5.0 Preview 1.0[27006.1.d15rel]
Xamarin Version: 4.8.0.559(dbde9cdd3)

Note: Please find the attachment for more info.
[Attachment: Issue is not fixed-Keyboard focus order is inappropriate]

Note You need to log in before you can comment on or make changes to this bug.